/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { BollingerBandWidthIndicatorStrategy } from "./BollingerBandWidthIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core/ES2015/type";
export class BollingerBandWidthIndicator extends StrategyBasedIndicator {
    get_p3() {
        return new BollingerBandWidthIndicatorStrategy();
    }
    get p3() {
        return this.get_p3();
    }
    get_qg() {
        return BollingerBandWidthIndicator.$;
    }
    get qg() {
        return this.get_qg();
    }
    get qp() {
        return typeGetValue(this.c(BollingerBandWidthIndicator.qs));
    }
    set qp(a) {
        this.h(BollingerBandWidthIndicator.qs, a);
    }
    p9() {
        return this.qp;
    }
    get qo() {
        return this.c(BollingerBandWidthIndicator.qr);
    }
    set qo(a) {
        this.h(BollingerBandWidthIndicator.qr, a);
    }
    p7() {
        return this.qo;
    }
}
BollingerBandWidthIndicator.$t = markType(BollingerBandWidthIndicator, 'BollingerBandWidthIndicator', StrategyBasedIndicator.$);
BollingerBandWidthIndicator.qs = StrategyBasedIndicator.ql(20, BollingerBandWidthIndicator.$);
BollingerBandWidthIndicator.qr = StrategyBasedIndicator.qk(2, BollingerBandWidthIndicator.$);
